$(".animator_aircraft .walker").rotate(95);
$(".animator_car .walker").rotate(110);
$(".animator_fish .walker").rotate(30);

//스크롤
$(".wrap_body").niceScroll({
    cursorcolor:"#637BE0",
    cursorwidth:6,
    scrollspeed:130,
    cursorborderradius:'0',
    mousescrollstep:55,
    cursoropacitymin:0,
    cursoropacitymax:1,
    background:"none",
    cursorborder:"none",
    autohidemode: true,
    boxzoom:false,
    zindex:99990
});

$(".event_cont").niceScroll({
    cursorcolor:"#749CB8",
    cursorwidth:6,
    scrollspeed:40,
    cursorborderradius:'0',
    mousescrollstep:40,
    cursoropacitymin:0,
    cursoropacitymax:1,
    background:"none",
    cursorborder:"none",
    autohidemode: true,
    boxzoom:false,
    zindex:99990
});

//팝업창 띄우기(modal01_추가정보)
$('.section03 .btn_more, .section04 .btn_more, .section05 .btn_more').click(function(){
    $('.dimmed_bg').stop().fadeIn(600);
    $('.modal01').stop().delay(50).fadeIn(500);
});

$('.modal01 .btn_cancel, .dimmed_bg').click(function(){
    $('.dimmed_bg').stop().fadeOut(600);
    $('.modal01').stop().fadeOut(60);
});

//팝업창 띄우기(modal02_항공권예약)
$('.btn_quick_reservation').click(function(){
    $('.dimmed_bg').stop().fadeIn(600);
    $('.modal02').stop().delay(50).fadeIn(500);
});

$('.modal02 .btn_cancel, .dimmed_bg').click(function(){
    $('.dimmed_bg').stop().fadeOut(600);
    $('.modal02').stop().fadeOut(60);
});

//팝업창 띄우기(modal03_sns공유)
$('.section02 .box09').click(function(){
    $('.dimmed_bg').stop(true).fadeIn(600);
    $('.modal03').stop(true).delay(50).fadeIn(500);
});
$('.modal03 .btn_cancel, .dimmed_bg').click(function(){
    $('.dimmed_bg').stop(true).fadeOut(600);
    $('.modal03').stop(true).fadeOut(60);
});

//팝업창 띄우기(modal04_event)
$('.section06 .carousel-feature .btn').click(function(){
    $('.dimmed_bg').stop().fadeIn(600);
    $('.modal04').stop().delay(50).fadeIn(500);
});

$('.modal04 .btn_cancel, .dimmed_bg').click(function(){
    $('.dimmed_bg').stop().fadeOut(600);
    $('.modal04').stop().fadeOut(60);
});

//section03_슬라이드
$(".slidejs01").slidesjs({
    width: 817,
    height: 568,
    play: {
        active: false, // play/stop 버튼  true=활성화, false=비활성화
        interval: 5000, // 대기시간, 1000:1초
        effect: "fade", // 효과 , slide/fade, ※밑에 있는 effect도 같이 변경
        auto: true, // 슬라이더 자동시작,  true=활성화, false=비활성화
        pauseOnHover: false, // 리스트에 마우스 오버시 멈춤유무,  true=활성화, false=비활성화
        restartDelay: 1000 // 마우스 아웃시 재시작 대기시간
    },
    navigation: { // 이전/다음버튼
        active: true,
        effect: "fade"
    },
    pagination: { // 이미지의 총 갯수, 현재 선택되어있는 리스트 표시
        active: false,
        effect: "fade"
    },
    effect: { //효과옵션
        fade: {
            speed: 1000 // 변환속도 1000:1초
        },
        slide: {
            speed: 1600 // 변환속도 1000:1초
        }
    },
    callback: {
        loaded: function (number) {

        },
        start: function (number) {

        },
        complete: function (number) {
            $('.section03 .wrap_text > div').hide();
            $('.section03 .wrap_text > div').eq(number-1).show();
        }
    }
});

//section04_슬라이드
$(".slidejs02").slidesjs({
    width: 717,
    height: 474,
    play: {
        active: false, // play/stop 버튼  true=활성화, false=비활성화
        interval: 4000, // 대기시간, 1000:1초
        effect: "fade", // 효과 , slide/fade, ※밑에 있는 effect도 같이 변경
        auto: true, // 슬라이더 자동시작,  true=활성화, false=비활성화
        pauseOnHover: false, // 리스트에 마우스 오버시 멈춤유무,  true=활성화, false=비활성화
        restartDelay: 1000 // 마우스 아웃시 재시작 대기시간
    },
    navigation: { // 이전/다음버튼
        active: false,
        effect: "fade"
    },
    pagination: { // 이미지의 총 갯수, 현재 선택되어있는 리스트 표시
        active: true,
        effect: "fade"
    },
    effect: { //효과옵션
        fade: {
            speed: 1000 // 변환속도 1000:1초
        },
        slide: {
            speed: 1600 // 변환속도 1000:1초
        }
    },
    callback: {
        loaded: function (number) {

        },
        start: function (number) {
        },
        complete: function (number) {
            $('.section04 .wrap_text > div').hide();
            $('.section04 .wrap_text > div').eq(number-1).show();
        }
    }
});


//section05_슬라이드
$(".slidejs03").slidesjs({
    width: 722,
    height: 521,
    play: {
        active: false, // play/stop 버튼  true=활성화, false=비활성화
        interval: 4000, // 대기시간, 1000:1초
        effect: "fade", // 효과 , slide/fade, ※밑에 있는 effect도 같이 변경
        auto: true, // 슬라이더 자동시작,  true=활성화, false=비활성화
        pauseOnHover: false, // 리스트에 마우스 오버시 멈춤유무,  true=활성화, false=비활성화
        restartDelay: 1000 // 마우스 아웃시 재시작 대기시간
    },
    navigation: { // 이전/다음버튼
        active: false,
        effect: "fade"
    },
    pagination: { // 이미지의 총 갯수, 현재 선택되어있는 리스트 표시
        active: true,
        effect: "fade"
    },
    effect: { //효과옵션
        fade: {
            speed: 1000 // 변환속도 1000:1초
        },
        slide: {
            speed: 1600 // 변환속도 1000:1초
        }
    },
    callback: {
        loaded: function (number) {

        },
        start: function (number) {
        },
        complete: function (number) {
            $('.section05 .wrap_text > div').hide();
            $('.section05 .wrap_text > div').eq(number-1).show();
        }
    }
});


$("#carousel").featureCarousel({
    largeFeatureWidth: 0, // 커질 이미지의 가로폭, 기본값 0
    largeFeatureHeight: 0, // 커질 이미지의 세로폭, 기본값 0
    smallFeatureWidth: 393, // 작아질 이미지의 가로폭, 기본값 0
    smallFeatureHeight: 491, // 작아질 이미지의 세로폭, 기본값 0
    topPadding: 236, // 위쪽 페딩값, 부모요소 position, 기본값 20
    sidePadding: 158, // 양쪽 사이드(왼쪽, 오른쪽) 페딩값, 기본값 50
    smallFeatureOffset: 60, // 가운데 이미지가 중심에서 위쪽이나 아래쪽으로 이동, 기본값 50
    startingFeature: 1, // 롤링될 이미지들 중 시작할 순서, 기본값 1
    carouselSpeed: 1300, // 회전하는 속도
    autoPlay: 6000, // 자동으로 롤링되는 시간 ex> 1000=1초 마다 한 번씩 롤링
    pauseOnHover: false, // 마우스오버 시 회전 정지!
    stopOnHover: false, // 마우스오버 시 완전 정지! 더 이상 롤링되지 않음!
    trackerIndividual: false, // 페이지 번호 유무 ex> 1,2,3
    trackerSummation: false, // 페이지 번호 유무 ex> 1of3
    preload: true, // 이미지 선로딩, 후로딩 유무
    displayCutoff: 0, // 여러 이미지들이 있을 경우 몇개만 별도로 보여줄 수 있음, 기본값 0
    animationEasing: 'swing', // 롤링 애니메이션 종류
    leftButtonTag: '#carousel-left', // 기본 왼쪽버튼
    rightButtonTag: '#carousel-right', // 기본 오른쪽버튼
    captionBelow: true, // 자막표시 유무, 없어도 상관없음, 있으면 공간 확보됨! '.carousel-caption' 으로 할당
    // 이미지가 중심 위치로 이동되었을 때의 콜백 함수
    movedToCenter: function($feature) {
        // $feature 는 중심이 있는(활성화된 롤링 이미지) 이미지
        var imageUrl = $feature.find('.carousel-image').attr('href');
        $feature.on('click', function () {
            console.log('sdlkjfdgsldf');
        });
    },
    // 이미지가 중심에서 떠날 때 콜백 함수
    leavingCenter : function($feature) {
    },
    // 중앙에 있는(활성화된) 이미지를 클릭했을 때 콜백 함수
    clickedCenter : function($feature) {
    }
});


$('.wrap_box > div > img').hide();
$('.wrap_box > div.pop_common > div').on('mouseenter', function () {
    if ( !$(this).hasClass('on') ) {
        $('.wrap_box > div.pop_common > div').removeClass('on').siblings('img').stop().css({
            width: 0,
            height: 0,
            marginLeft: '107px',
            marginTop: '85px'
        });
        $(this).addClass('on').siblings('img').show().stop().animate({
            width: '214px',
            height: '85px',
            marginLeft: 0,
            marginTop: 0
        }, 1200, 'easeOutElastic');
    } else {
        $(this).removeClass('on').siblings('img').stop().animate({
            width: 0,
            height: 0,
            marginLeft: '107px',
            marginTop: '85px'
        }, 400);
    }
}).on('mouseleave', function () {
    $(this).removeClass('on').siblings('img').stop().animate({
        width: 0,
        height: 0,
        marginLeft: '107px',
        marginTop: '85px'
    }, 400);
});

var animation01 = true,
    animation02 = true,
    animation03 = true;
$('.wrap_body').scroll(function () {
    var scrollLocate = $('.wrap_body').scrollTop();
    $('.posNum').text(scrollLocate);
    // section01 = 0
    // section02 = 952
    // section03 = 1904
    // section04 = 2856
    // section05 = 3808
    // section06 = 4638

    var $naviBtn = $('.btn_navigation > ul > li');

    if ( scrollLocate >= 0 && scrollLocate < 952 ) {
        $naviBtn.removeClass('on').eq(0).addClass('on');
    } else if ( scrollLocate >= 952 && scrollLocate < 1904 ) {
        $naviBtn.removeClass('on').eq(1).addClass('on');
    } else if ( scrollLocate >= 1904 && scrollLocate < 2856 ) {
        $naviBtn.removeClass('on').eq(2).addClass('on');
    } else if ( scrollLocate >= 2856 && scrollLocate < 3808 ) {
        $naviBtn.removeClass('on').eq(3).addClass('on');
        $naviBtn.removeClass('white');
    } else if ( scrollLocate >= 3808 && scrollLocate < 4438 ) {
        $naviBtn.removeClass('on').eq(4).addClass('on');
        $naviBtn.addClass('white');
    } else if ( scrollLocate >= 4438 ) { // 4638
        $naviBtn.removeClass('on').eq(5).addClass('on');
        $naviBtn.removeClass('white');
    }

    if ( scrollLocate < 3300 ) {
        $naviBtn.removeClass('white');
    } else if ( scrollLocate >= 3300 && scrollLocate <= 4200 ) {
        $naviBtn.addClass('white');
    } else if ( scrollLocate > 4200 ) { // 4638
        $naviBtn.removeClass('white');
    }

    if ( scrollLocate >= 1500 && scrollLocate < 2500 && animation01 ) {
        animatorAircraft();
        animation01 = false;
    } else if ( scrollLocate >= 2500 && scrollLocate < 3500 && animation02 ) {
        animatorCar();
        animation02 = false;
    } else if ( scrollLocate >= 3500 && scrollLocate < 4500 && animation03 ) {
        animatorFish();
        animation03 = false;
    }

});


$('.btn_navigation > ul > li').click(function(){
    var posY = $($(this).children().attr('href')).position().top;
    //var scrollTop = $('.wrap_body').scrollTop();
    $('.wrap_body').stop(true).animate({'scrollTop':posY},1000, 'easeInOutExpo');
    return false;
});
$('.btn_navigation .btn_top').click(function(){
    $('.wrap_body').stop(true).animate({'scrollTop':0},1000, 'easeInOutExpo');
    return false;
});


var box = $('.img_airballoon');
TweenMax.to( box, 2.5, {top:65, repeat:-1, yoyo:true});

var box = $('.img_cloud01');
TweenMax.to( box, 3.5, {top:80, repeat:-1, starttime:1.5, yoyo:true});

var box = $('.img_cloud02');
TweenMax.to( box, 3.0, {ease:Sine.easeOut, top:"-35px", repeat:-1, yoyo:true});

var box = $('.section03 .img_cloud');
TweenMax.to( box, 3.0, {ease:Sine.easeOut, top:340, repeat:-1, yoyo:true});

function bodySizeCheck() {
    var $bodySize = $('body').width();
    var $logo = $('.logo');
    var logoPos = 1920 - $bodySize;

    if ( $bodySize <= 1920 ) {
        $logo.css({
            right: 71+(logoPos/2)
        });
    }
}
bodySizeCheck();
$(window).resize(function () {
    bodySizeCheck();
});








